module.exports = {
  plugins: ['eslint-plugin-prettier'],
  extends: ['get-off-my-lawn', 'eslint:recommended', 'prettier'],
  rules: {
    curly: ['error', 'all'],
    'prettier/prettier': 'warn',
    'sort-keys': 'off',
    'import/order': 'off', // we use prettier for that
    'node/no-sync': 'off',
    'unicorn/filename-case': [
      'error',
      {
        cases: {
          kebabCase: true,
          camelCase: true,
          pascalCase: true,
        },
      },
    ],
    'unicorn/string-content': 'off', // get-off-my-lawn suggests https usage with bugged auto-fix
  },
  settings: {
    'import/resolver': {
      node: {
        extensions: ['.js', '.jsx'],
      },
    },
  },
};
